package com.gct.edge.actuator.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.DiagnoseResultRealTime;
import com.gct.edge.base.entity.TableNameEnum;

import java.io.InputStream;

/**
 * dec: DiagnoseService
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/10/24 下午2:08
 */
public interface DiagnoseService extends IService<DiagnoseResultRealTime> {

    Result getByDate(String moduleKey,String wellId, String date);

    Result loadDataFromFile(InputStream file, String moduleKey, TableNameEnum tableKey);

    Result deleteResultByTimeRange(String moduleKey, String beginTime, String endTime);
}
