package com.gct.edge.actuator.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gct.edge.actuator.entity.DiagnoseResultRealTime;
import com.gct.edge.actuator.entity.YieldRealTime;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;


/**
 * dec: DiagnoseResultRealTimeMapper
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/10/24 下午2:22
 */
@Mapper
public interface DiagnoseResultRealTimeMapper extends BaseMapper<DiagnoseResultRealTime> {

    List<DiagnoseResultRealTime> getListByDateRange(@Param("moduleKey") String moduleKey,
                                                    String wellId, @Param("start") LocalDateTime start,
                                                    @Param("end") LocalDateTime end);

    int insertOneOnConflictDoNothing(@Param("one") DiagnoseResultRealTime one);
}
